// file: $isip/class/asr/AudioDatabase/audb_01.cc
// version: $Id: audb_01.cc 7691 2002-02-05 19:23:22Z alphonso $
//

// isip include files
//
#include "AudioDatabase.h"
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* message: (input) information message
//
// return: a boolean value indicating status
//
// this method dumps the contents of an object to the console
//
boolean AudioDatabase::debug(const unichar* msg_a) const {
  
  // build a debug string
  //
  String value;
  String output;
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  
  Console::increaseIndention();
  
  // display the member data
  //  
  name_d.debug(L"name_d");
  hash_d.debug(L"hash_d");

  // that's it for sub-items, decrease indentation
  //  
  Console::decreaseIndention();
  
  // exit gracefully
  //
  return true;
}
